const data = require('./data')

function getMZF(dob) {
    var current_date = new Date()
    var birth_date = new Date(dob)

    // ဘာနေ့သားလဲ
    var birth_day = birth_date.getDay()
    var day = data.day(birth_day)

    // အသက်ဘယ်လောက်လဲ
    var age = current_date.getFullYear() - birth_date.getFullYear()

    sr_index = 0;
    age_start = birth_day + 1 // Sunday is 1 (not 0) to calculate
    age_end = age_start + 1
    while(age < age_start || age > age_end) {
        age_start += 2
        age_end = age_start + 1
        sr_index = (sr_index === 6) ? 0 : ++sr_index
    }

    return {
        day: day,
        age: age,
        sr: data.sr(sr_index),
        result: data.result(sr_index),
    }
}

module.exports = getMZF